Bug 4523 - default behaviour should be to boot installed system
: default behaviour should be to boot installed system
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-28 11:56 by
Modified: 2008-02-15 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 11:56:14
По умолчанию загружается цель "Installation", хотя уже и не
автоматом, а хоть по <Enter>.  Что плохо, т.к. не один _опытный_
человек уже попал на грабли "забытый CD, оставленный загрузочным
привод, _неопытный_ человек включает утром машину".

Есть предложение сменить на "Boot installed OS" (опять же без
таймаута).

Steps to Reproduce:
1. boot from CD
2. press Enter
Actual Results:  
installer

Expected Results:  
installed OS
------- Comment #1 From 2004-06-29 17:57:42 -------
есть возражение -- оставить как есть,
действие по таймауту убрать вообще - неопытного спасет,
от кошки на клавиатуре не спасет ничего.
------- Comment #2 From 2004-06-29 17:58:29 -------
и никак не major
------- Comment #3 From 2004-06-29 18:05:24 -------
welcome
------- Comment #4 From 2004-06-29 18:07:02 -------
Э.  Неопытный человек -- это обычно или ребенок [друзей] опытного, или клиент
уставшего опытного.
------- Comment #5 From 2004-06-29 18:29:49 -------
Я как отец маленького, но рукастого и головастого ребёнка ещё раз повторяю:
добавьте простую арифметическую задачку, которую средний взрослый в состоянии
решить в уме, а ребёнок нет. Потому что на инсталляторе хранителя экрана с
паролем нет.
------- Comment #6 From 2004-06-29 18:31:16 -------
ага, и тетрис.
------- Comment #7 From 2004-07-05 18:11:17 -------
1)лучше оставить как есть.
2)Это не бага.
------- Comment #8 From 2004-07-06 09:16:34 -------
Дми(In reply to comment #7)
> 1)лучше оставить как есть.
> 2)Это не бага.

Дмитрий, это не ответ.  И не аргументы.

См. #5 в качестве одного варианта, который привел к сносу системы далеко не
наименее опытного участника team, и у наших коллег в Крыму был другой вариант --
забыли CD в секретарской машине.

Еще раз повторю главную проблему: инсталятор и "нормальный" загрузчик выглядят
практически одинаково и действуют практически одинаково (то, что лишний раз
нажмут Enter -- можете не сомневаться, это не преграда).  При этом они
предназначены для _совершенно_ разных целей и приводят к катастрофически разным
результатам.

Можно перекрасить инсталятор в e.g. красный или повесить транспарант "только для
системных администраторов", но практика показывает, что безопасная реакция на
наиболее прогнозируемое действие -- лучше.

Аргументы вида "не пускать к системе со всунутым CD1 детей и секретарш", увы,
аргументами не являются в силу возможности человеческой ошибки даже у опытных
администраторов, и загрузчик не должен ее усугублять.  В общем, это же
обсуждалось в devel@ и на #altlinux примерно в день, когда был заполнен этот
отчет о проблеме.

2 lioka: в общем, лекция прочитана, а ты и без нее все знаешь, думаю...
------- Comment #9 From 2004-07-07 18:23:16 -------
в обчем, fixed в beta 3
------- Comment #10 From 2004-07-08 09:21:24 -------
Jawohl!
------- Comment #11 From 2004-07-16 12:00:26 -------
afterrhought... если не трудно переставить пункт "boot installed OS" первым,
чтоб не вызывало удивления то, что по умолчанию -- N-тый пункт... :)
------- Comment #12 From 2004-07-16 12:26:21 -------
вам не угодишь :)
------- Comment #13 From 2004-07-16 12:44:02 -------
да угодил, угодил :)  это уже мелкие юзабилити-докопы... :)
------- Comment #14 From 2008-02-15 18:43:12 -------
archiving